package cn.com.countrygarden.bi.main.service.writtenExamination.impl;
import cn.com.countrygarden.bi.main.model.PageData;
import cn.com.countrygarden.bi.main.model.test.Test;
import cn.com.countrygarden.bi.main.service.project.ProjectJointPlanService;
import cn.com.countrygarden.bi.main.service.test.TestService;
import sun.security.rsa.RSAPadding;
import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import org.apache.commons.lang.StringUtils;
import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.model.AccessToken;
import cn.com.countrygarden.bi.main.model.sys.Function;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import cn.com.countrygarden.bi.main.model.writtenExamination.PersonnelSelectionType;
import cn.com.countrygarden.bi.main.dao.writtenExamination.PersonnelSelectionTypeMapper;
import cn.com.countrygarden.bi.main.service.writtenExamination.PersonnelSelectionTypeService;
import tk.mybatis.mapper.entity.Condition;
import tk.mybatis.mapper.entity.Example.Criteria;
import cn.com.countrygarden.bi.main.core.Response;

/**
 * 选拔类型-业务逻辑层实现
 *
 * @author 汤婷
 * @email www.justintoforest@gamail.com
 * @url 
 * @date 2018-10-22
 */
@Service
public class PersonnelSelectionTypeServiceImpl implements PersonnelSelectionTypeService{
    @Autowired
    private PersonnelSelectionTypeMapper personnelSelectionTypeMapper;

    @Override
    public Result queryPageList(PersonnelSelectionType personnelSelectionType, int page, int size) {
        Page<Object> pageList = PageHelper.startPage(page, size);
        Condition condition=new Condition(PersonnelSelectionType.class);
        Criteria criteria = condition.createCriteria();
//		TODO 添加条件
		personnelSelectionTypeMapper.selectByCondition(condition);
        PageData data=new PageData(pageList);
        data.setData(pageList.getResult());
        return Response.response(data);
    }

    @Override
    public Result queryById(Integer id) {
        return Response.response(personnelSelectionTypeMapper.selectByPrimaryKey(id));
    }

    @Override
    public Result add(PersonnelSelectionType personnelSelectionType, AccessToken accessToken) {
        personnelSelectionTypeMapper.insert(personnelSelectionType);
        return Response.response();
    }

    @Override
    public Result edit(PersonnelSelectionType personnelSelectionType, AccessToken accessToken) {
        personnelSelectionTypeMapper.updateByPrimaryKey(personnelSelectionType);
        return Response.response();
    }

    @Override
    public Result del(Integer id) {
        int count = personnelSelectionTypeMapper.deleteByPrimaryKey(id);
        return Response.response(count);
    }

}